#ifndef SCALENDARMENUVIEW_H
#define SCALENDARMENUVIEW_H

#include <QObject>
#include <QWidget>

class SCalendarMenuView : public QWidget
{
    Q_OBJECT
public:
    explicit SCalendarMenuView(QWidget *parent = nullptr);
    virtual ~SCalendarMenuView();

    virtual void paintEvent(QPaintEvent *event);
    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseReleaseEvent(QMouseEvent *event);

    void SetText(QString strText);
    void SetID(int nID);
    void SetData(int nID, QString strText);

    int GetID();

    void Select();
    void Unselect();
    bool IsSelected();

    void SetFontSize(int nFontSize);

protected:
    int m_nID;
    QString m_strText;
    bool m_bSelected;

    int m_nFontSize;

signals:
    void ExecuteMenu(int nID);

};

#endif // SCALENDARMENUVIEW_H
